package com.jsf.httpsessionlistener;

import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

public class SessionCounterListener implements HttpSessionListener {

	private static int activeSessionCount;

	public static int getActiveSessionCount() {
		return activeSessionCount;
	}

	@Override
	public void sessionCreated(HttpSessionEvent createObj) {
		activeSessionCount++;
		System.out.println("Session Created For Id?= " + createObj.getSession().getId());		
	}

	@Override
	public void sessionDestroyed(HttpSessionEvent destroyObj) {
		activeSessionCount--;
		System.out.println("Session Destroyed For Id?= " + destroyObj.getSession().getId());
	}
}